Skip to content

Update signature settings

Request

Updates the signature configuration for the specified organization.

Security
Bearer or PersonalAccessToken
Path
organizationIdstring, (uuid)required

Unique identifier of the organization

Bodyapplication/jsonrequired
defaultSignatureTypeDefaultSignatureType (string)
One of:

The default signature types supported by the settings/signature endpoint.

string(DefaultSignatureType)
Enum:"ClickToSign""DrawToSign""TypeToSign""RemoteCertificate""Biometric""LocalCertificate""DisposableCertificate""OneTimePassword"
auditTrailModeAuditTrailMode (string)
One of:

The audit trail generation modes supported by the settings/signature endpoint.

string(AuditTrailMode)
Enum:"Standard""PDF/A-2b"
timestampUpdateSignatureSettingsTimestamp (object)
One of:

Timestamp server configuration values to persist, including the password. Unset fields retain their current value.

disposableCertificateUpdateSignatureSettingsDisposableCertificate (object)
One of:

Disposable certificate configuration values to persist, including the optional password. Unset fields retain their current value.

PATCH
/api/v1/organizations/{organizationId}/settings/signature
curl -i -X PATCH \
  '/api/v1/organizations/{organizationId}/settings/signature' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "defaultSignatureType": "ClickToSign",
    "auditTrailMode": "Standard",
    "timestamp": {
      "url": "https://timestamp.example.com",
      "username": "tsa-user",
      "password": "P@ssw0rd!",
      "hashAlgorithm": "SHA-256"
    },
    "disposableCertificate": {
      "lraId": "LRA-001",
      "user": "lra-user",
      "password": "P@ssw0rd!",
      "disposableType": "Disposable",
      "showDisclaimerBeforeCertificateRequest": true,
      "sendDisposableDisclaimerDocumentNotifications": true
    }
  }'

Responses

No Content

Response
No content